<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="io.renren.modules.generator.dao.VisiAlgNodeDao">
    <insert id="insert" parameterType="io.renren.modules.generator.entity.VisiAlgNode">
        insert into visi_algorithmnode(user_id,algonode_name,algonode_image,algoparatemp_json,algodescription,algotreetype)
        values (#{userId,jdbcType=INTEGER},#{algnodeName,jdbcType=VARCHAR},#{algnodeImage,jdbcType=VARCHAR},#{algoparatempJson,jdbcType=VARCHAR},#{algodescription,jdbcType=VARCHAR},#{algotreetype,jdbcType=VARCHAR})
    </insert>
</mapper>